package com.hzya.frame.sys.templateRelation.dao.impl;

import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.sys.templateRelation.dao.ITemplateRelationMapper;
import com.hzya.frame.sys.templateRelation.entity.TemplateRelation;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * @description: 模版关系表  dao
 * @tableName: sys_template_relation
 * @entityName: TemplateRelation
 * @author: gjh
 * @history:1.0
 */
@Service
public class TemplateRelationMapperImpl extends MybatisGenericDao<TemplateRelation, String> implements ITemplateRelationMapper {

    @Override
    public TemplateRelation entity_get(String id) {
        TemplateRelation o = (TemplateRelation) super.selectOne(getSqlIdPrifx() + "entity_get", id);
        return o;

    }

    //查询 采用==查询   entity_list_base
    @Override
    public List<TemplateRelation> entity_list_base(TemplateRelation entity) {
        List<TemplateRelation> o = super.query(getSqlIdPrifx() + "entity_list_base", entity);
        return o;

    }

    //  查询符合条件的数量
    @Override
    public Integer entity_count(TemplateRelation entity) {
        Integer o = (Integer) super.selectOne(getSqlIdPrifx() + "entity_count", entity);
        return o;

    }

    //分页查询列表 采用like格式 entity_list_like
    @Override
    public List<TemplateRelation> entity_list_like(TemplateRelation entity) {
        List<TemplateRelation> o = super.query(getSqlIdPrifx() + "entity_list_like", entity);
        return o;

    }

    //查询列表 字段采用or格式   entity_list_or
    @Override
    public List<TemplateRelation> entity_list_or(TemplateRelation entity) {
        List<TemplateRelation> o = super.query(getSqlIdPrifx() + "entity_list_or", entity);
        return o;

    }

    //新增  entity_insert
    @Override
    public Integer entity_insert(TemplateRelation entity) {
        Integer o = super.insert(getSqlIdPrifx() + "entity_insert", entity);
        return o;

    }

    //修改  entity_update
    @Override
    public Integer entity_update(TemplateRelation entity) {
        Integer o = super.update(getSqlIdPrifx() + "entity_update", entity);
        return o;

    }

    //逻辑删除    entity_delete
    @Override
    public Integer entity_logicDelete(TemplateRelation entity) {
        Integer o = super.update(getSqlIdPrifx() + "entity_logicDelete", entity);
        return o;

    }

    //逻辑删除多条件
    @Override
    public Integer entity_logicDelete_Multi_Condition(TemplateRelation entity) {
        Integer o = super.update(getSqlIdPrifx() + "entity_logicDelete_Multi_Condition", entity);
        return o;

    }

    //物理删除
    @Override
    public Integer entity_delete(TemplateRelation entity) {
        Integer o = super.delete(getSqlIdPrifx() + "entity_delete", entity);
        return o;

    }
}
